parse
| Rivet Tcl Commands and Variables |

## Name

parse — parses a Rivet template file.

## Synopsis

::rivet::parse ?-encoding `encoding`? ?-virtual? ?`filename`?
::rivet::parse -string `template_string`

## Description

Like the Tcl source command, but also parses for Rivet <? and ?> processing tags. Using this command, you can use one .rvt file from another. The optional -encoding argument selects the external character encoding used to read the file. When omitted, the Tcl system encoding is retained for compatibility. Newline translation is disabled when an explicit encoding is selected. The -string form accepts an existing Tcl string and therefore performs no character decoding.

parray |  | raw_post